Child Address
curl --request GET \
--url https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements \
--header 'x-api-key: <api-key>'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/addresses/{addressId}/auto-settlements', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"isActive": true,
"rules": [
{
"createdAt": "2025-08-26T17:28:38.273Z",
"destination": {
"address": "0x2455eC6700092991Ce0782365A89d5Cd89c8Fa22",
"asset": "USDC",
"blockchain": "optimism"
},
"id": "48c52f4a-c0bf-45c9-a322-1fef00f00431",
"isActive": true,
"name": "Swap from USDT to OP USDC",
"order": "FASTEST",
"slippageTolerance": "5",
"source": {
"assets": [
"USDT"
],
"blockchain": "base",
"maxAmount": "1000",
"minAmount": "1"
},
"updatedAt": "2025-08-26T17:32:08.108Z"
}
]
},
"message": "Auto settlement fetched successfully",
"statusCode": 200
}Child Address
This endpoint retrieves the auto settlement configurations for a specific address identified. It provides details about the rules and settings associated with automatic settlements for the specified address.
GET
/
v1
/
wallets
/
{walletId}
/
addresses
/
{addressId}
/
auto-settlements
Child Address
Authorizations
Path Parameters
Example:
"{{walletId}}"
Example:
"534e0480-f444-40c0-bc2e-2ef17bf7999e"
⌘I

